import request from '@/utils/request'

// 查询高价值专利详情列表
export function listDHeightValuePatentDetail(query) {
  return request({
    url: '/highval/dHeightValuePatentDetail/list',
    method: 'get',
    params: query
  })
}

// 查询高价值专利详情详细
export function getDHeightValuePatentDetail(id) {
  return request({
    url: '/highval/dHeightValuePatentDetail/' + id,
    method: 'get'
  })
}

// 新增高价值专利详情
export function addDHeightValuePatentDetail(data) {
  return request({
    url: '/highval/dHeightValuePatentDetail',
    method: 'post',
    data: data
  })
}

// 修改高价值专利详情
export function updateDHeightValuePatentDetail(data) {
  return request({
    url: '/highval/dHeightValuePatentDetail',
    method: 'put',
    data: data
  })
}

// 删除高价值专利详情
export function delDHeightValuePatentDetail(id) {
  return request({
    url: '/highval/dHeightValuePatentDetail/' + id,
    method: 'delete'
  })
}
